UriUtil (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.buf

## Class UriUtil

- java.lang.Object
- - org.apache.tomcat.util.buf.UriUtil

-     public final class UriUtil
      extends Object

  Utility class for working with URIs and URLs.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URL` | `buildJarSafeUrl(File file)`
    `static URL` | `buildJarUrl(File jarFile)`
    `static URL` | `buildJarUrl(File jarFile, String entryPath)`
    `static URL` | `buildJarUrl(String fileUrlString)`
    `static URL` | `buildJarUrl(String fileUrlString, String entryPath)`
    `static String` | `getWarSeparator()`
    `static boolean` | `hasScheme(CharSequence uri)` Determine if a URI string has a `scheme` component.
    `static URL` | `warToJar(URL warUrl)` Convert a URL of the form `war:file:...`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasScheme

          public static boolean hasScheme(CharSequence uri)

      Determine if a URI string has a `scheme` component.
      Parameters:
        `uri` - The URI to test
      Returns:
        `true` if a scheme is present, otherwise {code @false}

    - #### buildJarUrl

          public static URL buildJarUrl(File jarFile)
                                 throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### buildJarUrl

          public static URL buildJarUrl(File jarFile,
                                        String entryPath)
                                 throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### buildJarUrl

          public static URL buildJarUrl(String fileUrlString)
                                 throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### buildJarUrl

          public static URL buildJarUrl(String fileUrlString,
                                        String entryPath)
                                 throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### buildJarSafeUrl

          public static URL buildJarSafeUrl(File file)
                                     throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### warToJar

          public static URL warToJar(URL warUrl)
                              throws MalformedURLException

      Convert a URL of the form `war:file:...` to `jar:file:...`.
      Parameters:
        `warUrl` - The WAR URL to convert
      Returns:
        The equivalent JAR URL
      Throws:
        `MalformedURLException` - If the conversion fails

    - #### getWarSeparator

          public static String getWarSeparator()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.